Invoices

Endpoints for listing, retrieving, and downloading partner invoices.

List invoices

get

Returns a list of invoices. The transactions are returned in sorted order, with the most recent transactions appearing first. Parameters can be used to create a date range to only list invoices that were created within the range.

Path parameters
AccountSIDstringRequired

Unique identifier for the partner account.

Query parameters
StartDatestring · date-timeOptional

ISO 8601 format that filters the list to only show invoices created on or after this date.

EndDatestring · date-timeOptional

ISO 8601 format that filters the list to only show invoices created on or before this date.

Responses
200

OK

application/json
get
/Mediapartners/{AccountSID}/Invoices
curl
200

OK

Retrieve a specific invoice

get

This request allows you to retrieve an invoice from both impact.com's invoicing methods.

Path parameters
AccountSIDstringRequired

Unique identifier for the partner account.

IdstringRequired

Unique identifier for the invoice object.

Responses
200

OK

application/json
IdstringOptional

Unique identifier for the invoice object.

Example: 1924609-1
CreatedDatestring · date-timeOptional

ISO 8601 format of the date and time when the invoice was created.

Example: 2024-09-02T07:37:12-07:00
RecipientIdintegerOptional

Unique identifier of the recipient of the invoice.

Example: 1804207
RecipientNamestringOptional

The display name of the recipient of the invoice.

Example: Acme Corporation
CurrencystringOptional

Three-letter ISO 4217 currency code.

Example: USD
TotalAmountstring · decimalOptional

The total amount due to the partner in the invoice.

Example: 50.00
TotalVatAmountstring · decimalOptional

Value-added tax applied to the invoice, if any exists.

Example: 0.00
PDFstringOptional

API resource path to download the invoice as a PDF.

Example: /Mediapartners/<AccountSID>/Invoices/1924609-1/Download
UristringOptional

Unique reference to this invoice in the impact.com API.

Example: /Mediapartners/<AccountSID>/Invoices/1924609-1
get
/Mediapartners/{AccountSID}/Invoices/{Id}
curl
200

OK

Download an invoice

get

Returns the specified invoice as a downloaded file in PDF format.

Path parameters
AccountSIDstringRequired

Unique identifier for the partner account.

IdstringRequired

Unique identifier for the invoice.

Responses
200

PDF file of the invoice.

application/pdf
string · binaryOptional
get
/Mediapartners/{AccountSID}/Invoices/{Id}/Download
curl
200

PDF file of the invoice.

Last updated